---
updatedAt: 2026-08-31T10:27:08.000Z
agentTools:
  projectIndex: https://developers.getknit.dev/llms.txt
---

# Get Candidate Tags

Retrieves all tags assigned to a specific candidate.

## Supported Apps

Here are the list of apps that support this API.

<Accordion title="Greenhouse (greenhouse)" />

<Accordion title="Lever (lever)" />

<Accordion title="Darwinbox (darwinbox-ats)" />

<Accordion title="Workday (workday-ats)" />

<Accordion title="SAP SuccessFactors (successfactors-ats)" />

<Accordion title="Workable (workable)" />

<Accordion title="SmartRecruiters ATS (smartrecruiters-ats)">
  **Supported Request Fields:**

  - `candidateId` - Required

  **Supported Response Fields:**

  - `tags[].id`
  - `tags[].text`
</Accordion>

<Accordion title="TeamTailor (teamTailor)" />

<Accordion title="Sage Recruitment (sage-ats)" />

<Accordion title="Ashby (ashby)" />

<Accordion title="Zoho Recruit (zoho-recruit)" />

<Accordion title="JazzHR ATS (jazzhr-ats)" />

<Accordion title="Recruitee (recruitee)" />

<Accordion title="iCIMS (icims)" />

<Accordion title="Pinpoint (pinpoint)" />

<Accordion title="ERPNext ATS (erpnext-ats)" />

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "base-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.getknit.dev/v1.0"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "X-Knit-Integration-Id"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/ats.candidate.tag.get": {
      "get": {
        "summary": "Get Candidate Tags",
        "description": "",
        "operationId": "get-candidate-tags",
        "parameters": [
          {
            "name": "candidateId",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "applicationId",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "jobId",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"tags\": [\n      {\n        \"id\": \"4000001006\",\n        \"text\": \"Java Developer\"\n      },\n      {\n        \"id\": \"4000002006\",\n        \"text\": \"SDE2\"\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "tags": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "example": "4000001006"
                              },
                              "text": {
                                "type": "string",
                                "example": "Java Developer"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"error\": {\n    \"msg\": \"\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "error": {
                      "type": "object",
                      "properties": {
                        "msg": {
                          "type": "string",
                          "example": ""
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```